GDB (xrefs)

Public Attributes | List of all members
attribute Struct Reference

## Public Attributes
__extension__ enum dwarf_attribute | name: 16
__extension__ enum dwarf_form | form: 15
unsigned int | string_is_canonical: 1
union {
const char * str
struct dwarf_block * blk
ULONGEST unsnd
LONGEST snd
CORE_ADDR addr
ULONGEST signature
} | u

## Detailed Description

Definition at line 1515 of file dwarf2read.c.

## Member Data Documentation

## ◆ addr

CORE_ADDR attribute::addr

Definition at line 1531 of file dwarf2read.c.

## ◆ blk

struct dwarf_block* attribute::blk

Definition at line 1528 of file dwarf2read.c.

## ◆ form

__extension__ enum dwarf_form attribute::form

Definition at line 1518 of file dwarf2read.c.

Referenced by attr_form_is_block(), attr_form_is_constant(), attr_form_is_ref(), attr_form_is_section_offset(), attr_to_dynamic_prop(), attr_value_as_address(), dump_die_shallow(), dwarf2_const_value_attr(), dwarf2_fetch_constant_bytes(), dwarf2_get_attr_constant_value(), dwarf2_get_ref_die_offset(), dwarf2_string_attr(), dwarf_form_name(), follow_die_ref(), follow_die_ref_or_sig(), follow_die_sig(), get_DW_AT_signature_type(), lookup_die_type(), partial_die_full_name(), process_imported_unit_die(), read_attribute_value(), read_cutu_die_from_dwo(), read_partial_die(), set_die_type(), and skip_one_die().

## ◆ name

__extension__ enum dwarf_attribute attribute::name

Definition at line 1517 of file dwarf2read.c.

Referenced by attr_to_dynamic_prop(), dump_die_shallow(), dwarf2_attr(), dwarf2_attr_no_follow(), gdb_xml_parse_attr_enum(), gdb_xml_parse_attr_ulongest(), lookup_die_type(), partial_die_full_name(), read_attribute(), read_attribute_value(), read_cutu_die_from_dwo(), read_partial_die(), and gdb_xml_parser::start_element().

## ◆ signature

ULONGEST attribute::signature

Definition at line 1532 of file dwarf2read.c.

Referenced by lookup_dwo_unit().

## ◆ snd

LONGEST attribute::snd

Definition at line 1530 of file dwarf2read.c.

## ◆ str

const char* attribute::str

Definition at line 1527 of file dwarf2read.c.

Referenced by dwarf2_string_attr().

## ◆ string_is_canonical

unsigned int attribute::string_is_canonical

Definition at line 1523 of file dwarf2read.c.

## ◆ u

union { ... } attribute::u

Referenced by partial_die_full_name().

## ◆ unsnd

ULONGEST attribute::unsnd

Definition at line 1529 of file dwarf2read.c.

Referenced by partial_die_full_name().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c